.\"	$NetBSD: grfcl.4,v 1.7 2003/03/31 18:27:14 perry Exp $
.\"
.\" Copyright (c) 1997 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 20, 1997
.Dt GRFCL 4 amiga
.Os
.Sh NAME
.Nm grfcl
.Nd 8/16/24/32-bit color graphics driver
.Sh SYNOPSIS
.Cd "grfcl* at zbus0"
.Cd "grf3 at grfcl?"
.Cd "ite3 at grf3"
.Sh DESCRIPTION
The
.Nm
device driver supports graphics boards with the Cirrus Logic chipset.
It supports the minimal ioctl's needed to run X11.
.Sh HARDWARE
The
.Nm
interface supports the following ZorroII/III expansion cards:
.Bl -tag -width "xxxxxxxxxxxxxx" -offset indent
.It Em Picasso II/II+
A Zorro II only card with the Cirrus Logic 5426, 5428 or 5429 chipset. From
Village Tronic, manufacturer 2167, product 11 for the memory base and 12
for the register base (if your board has a product of 13, it is in segmented
mode which is not supported by
.Nx ) .
This board supports 8/15/16/24 bit graphics modes.
.It Em Picasso IV
A Zorro II/III card with the Cirrus Logic 5446 chipset. From Village Tronic,
manufacturer 2167, in Zorro II mode with the product 21 for the memory
base1, 22 for the memory base2 and 23 for the register base, in Zorro III
mode with the product 24 for the entire board.
This board supports 8/15/16/24 bit graphics modes.
.It Em Piccolo
A Zorro II/III card with the Cirrus Logic 5426 chipset. From IBH,
manufacturer 2195, product 5 for the memory base and 6 for the
register base.
This board supports 8/15/16/24 bit graphics modes.
.It Em Piccolo SD64
A Zorro II/III card with the Cirrus Logic 5434 chipset. From IBH,
manufacturer 2195, product 10 for the memory base and 11 for the
register base.
This board supports 8/15/16/24/32 bit graphics modes.
.It Em Spectrum
A Zorro II/III card with the Cirrus Logic 5426 chipset. From GVP,
manufacturer 2193, product 1 for the memory base and 2 for the
register base.
This board supports 8/15/16/24 bit graphics modes.
.El
.Sh FILES
.Bl -tag -width "xxxxxxxxxx" -compact
.It Pa /dev/grf3
graphics interface special file
.It Pa /dev/ttye3
console interface special file for the internal terminal emulator
.El
.Sh SEE ALSO
.Xr console 4 ,
.Xr ite 4 ,
.Xr grfconfig 8
.Sh HISTORY
The
.Nm
interface first appeared in
.Nx 1.0 .
.Sh BUGS
.Nm
will not work with Zorro II cards in the segmented mode and it does not
support the sync-on-green flag from
.Xr grfconfig 8 .
